# Kapitel 20 - Medikamente, Placebo und Schmerzlinderung

# Installieren und Aktivieren des Pakets car
install.packages("car")
library(car)

# Festlegen der Variablen Teilnehmende
Teilnehmende <- c(1,2,3,4,5,6,7,8,9,10)

# Eingeben der Schmerzlinderungswerte der Variablen Ibuprofen, Aspirin und Placebo
Ibuprofen <- c(4,5,7,5,4,5,6,6,4,4)
Aspirin <- c(5,5,6,7,3,6,5,7,5,4)
Placebo <- c(8,9,7,8,7,7,7,6,7,5)

# Erstellen des weiten Datensatzes aus den Variablen
datensatzweit <- data.frame(Teilnehmende, Ibuprofen, Aspirin, Placebo)

# Installieren und Aktivieren des Pakets reshape2
install.packages("reshape2")
library(reshape2)

# Umwandeln des weiten Datensatzes in das lange Format
datensatzlang <- melt(datensatzweit, id= "Teilnehmende")

# Bezeichnung der Spaltenköpfe
colnames(datensatzlang) <- c("Teilnehmende", "Medikament", "Schmerzlinderung")

#Umwandeln der Variablen Teilnehmende in einen Faktor
datensatzlang$Teilnehmende <- as.factor(datensatzlang$Teilnehmende)

# Anzeigen der ersten Zeilen der Datensätze datensatzweit und datensatzlang
head(datensatzweit)
head(datensatzlang)

# Installation und Aktivierung des Pakets rstatix
install.packages("rstatix")
require(rstatix)

# Berechnung der ANOVA
anova_test(Schmerzlinderung~Medikament + Error(Teilnehmende/Medikament), data=datensatzlang, effect.size="pes")

# Variante 2: Installieren und Aktivieren des Pakets afex 
install.packages("afex")
require(afex)

# Speichern der ANOVA im Objekt Modell_car
Modell_car <- aov_car(data=datensatzlang, Schmerzlinderung~Medikament+ Error(Teilnehmende/Medikament), anova_table ="pes")

# Ausgabe des Objekts Modell_car
Modell_car

# Andere Formulierung der Argumente der ANOVA 
anova_test(data = datensatzlang, dv = Schmerzlinderung, wid = Teilnehmende, within = Medikament)

# Post-Hoc-Tests als paarweise T-Tests
pairwise_t_test(data = datensatzlang, Schmerzlinderung ~ Medikament, paired = TRUE, p.adjust.method = "bonferroni", detailed = TRUE)
