# Kapitel - Übungsstunden, Geschlecht, positive Einstellung und Klausurpunkte

# Variable Anzahl der Übungsstunden
uebungsstunden <- c(2,3,8,10,13,14,15,16,16,16,17,18,19,20,21,23,25,24,22,21,20,7,12,18,11,22,9,10,15,25)

# Variable Anzahl der Klausurpunkte
klausurpunkte <- c(40,25,40,45,58,60,70,58,58,58,55,63,62,59,64,69,85,70,80,79,74,30,50,61,50,63,40,46,45,78)

# Variable Geschlecht
geschlecht <- c("m", "w", "m", "w", "m", "w", "m", "w", "m", "w", "m", "w", "m", "w", "m", "w", "m", "w", "m", "w","m", "w", "m", "w", "m", "w", "m", "w", "m", "w")

# Variable Positive Einstellung
positiveeinstellung <- c(15,17,12,20,30,23,26,21,32,31,23,25,31,28,7,36,19,24,6,16,6,25,22,16,10,21,12,16,19,20)

# Erzeugen eines Datensatzes
datensatz <- data.frame(klausurpunkte, uebungsstunden, geschlecht, positiveeinstellung)

# Erzeugen eines linearen Modells i
modell <- lm(klausurpunkte~uebungsstunden+geschlecht+positiveeinstellung)

# Ergebisdarstellung des linearen Modells
summary(modell)

# Installieren und Aktivieren des Pakets car
install.packages("car")
library(car)

# avPlots des linearen Modells modell
avPlots(modell)

# Installieren und Aktivieren des Pakets rstatix
install.packages("rstatix")
library(rstatix)

# Identifizieren von Ausreißern bzw. Extremwerten
identify_outliers(datensatz, uebungsstunden)

# Residuendiagramm
plot(modell, 4)

# Cook-Distanzen
cooks.distance(modell)

# Hebelwerte
hatvalues(modell)

# Residuenanalyse
fitted(modell)
residuals(modell)
rstandard(modell)

# Shapiro-Wilk-Test
shapiro.test(residuals(modell))

# VIF
vif(modell)

# Berechnung der ANOVA
anova(modell)

# Installieren und Aktivieren des Pakets lm.beta
install.packages("lm.beta")
library(lm.beta)

# Berechnung der Beta-Gewichte des linearen Modells
lm.beta(modell)

# Paarweise t-Tests 
pairwise.t.test(datensatz)

# Installieren und Aktivieren des Pakets afex
install.packages("afex")
library(afex)

# Berechnung der ANOVA
aov_car(klausurpunkte~uebungsstunden+geschlecht+positiveeinstellung, data=datensatz)